import { ConnectionBase } from "@lindorm-io/core-connection";
import { Logger } from "@lindorm-io/core-logger";
import { Pool, PoolConfig, QueryConfig, QueryResult, QueryResultRow } from "pg";
import { IPostgresConnection, PostgresConnectionOptions } from "../types";
export declare class PostgresConnection extends ConnectionBase<Pool, PoolConfig> implements IPostgresConnection {
    private readonly custom;
    constructor(options: PostgresConnectionOptions, logger: Logger);
    protected createClientConnection(): Promise<Pool>;
    protected connectCallback(): Promise<void>;
    protected disconnectCallback(): Promise<void>;
    query<TResult extends QueryResultRow = QueryResultRow, TValues extends Array<any> = Array<any>>(queryTextOrConfig: QueryConfig<TValues> | string, values?: TValues): Promise<QueryResult<TResult>>;
    private trim;
}
//# sourceMappingURL=PostgresConnection.d.ts.map